#ifndef CONTAINER_WINDOW_H
#define CONTAINER_WINDOW_H
#include "view_install.h"
#include "view_loggin.h"
#include "controller_install.h"
#include "conexion.h"
#include "session_manager.h"

#include <gtkmm/notebook.h>
#include <memory>

class container_window: public Gtk::Window
{
public:
  container_window(conexion *con, Glib::RefPtr< Gtk::Application > app);
private:
  Glib::RefPtr< Gtk::Application > app;
  std::unique_ptr<session_manager> sesion;
  view_loggin loggin;
  view_install install;
  controller_install *cont;
  Gtk::Notebook book;
};

#endif // CONTAINER_WINDOW_H
